Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile	(revision 30)
@@ -8,5 +8,6 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../..
+DIR_COMPONENT			= .
+include				$(DIR_COMPONENT)/Makefile.defs
 
 #-----[ Library ]------------------------------------------
@@ -19,5 +20,6 @@
 				@$(MAKE) all_component
 
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
+
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile.defs
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile.defs	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/Makefile.defs	(revision 30)
@@ -0,0 +1,11 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/SelfTest/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/SelfTest/Makefile	(revision 30)
@@ -8,5 +8,6 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../../..
+DIR_COMPONENT			= ..
+include				$(DIR_COMPONENT)/Makefile.defs
 
 LIBRARY				= $(Counter_LIBRARY)
@@ -24,5 +25,5 @@
 
 include                         ../Makefile.deps
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Selftest
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/doc/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/doc/Makefile	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Counter/doc/Makefile	(revision 30)
@@ -0,0 +1,19 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ..
+include				$(DIR_COMPONENT)/Makefile.defs
+
+#-----[ include ]------------------------------------------
+
+all				:
+				$(MAKE) all_documentation
+
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Documentation
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Group/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Group/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Group/Makefile	(revision 30)
@@ -18,5 +18,5 @@
 				@$(MAKE) all_component
 
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile	(revision 30)
@@ -8,5 +8,6 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../../..
+DIR_COMPONENT			= .
+include				$(DIR_COMPONENT)/Makefile.defs
 
 #-----[ Library ]------------------------------------------
@@ -19,5 +20,5 @@
 				@$(MAKE) all_component
 
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs	(revision 30)
@@ -0,0 +1,11 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile	(revision 30)
@@ -24,5 +24,5 @@
 
 include                         ../Makefile.deps
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Selftest
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/configuration.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/configuration.cfg	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/configuration.cfg	(revision 30)
@@ -1,5 +1,5 @@
 RegisterFile_Monolithic
-1	8 	*2	# nb_port_read
+2	8 	*2	# nb_port_read
 1	4	*2	# nb_port_write
-64	256	*2	# nb_word
+32	256	*2	# nb_word
 32	32	*2	# size_word
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/mkf.info
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/mkf.info	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/mkf.info	(revision 30)
@@ -1,11 +1,181 @@
 
-# RegisterFile_34
-target_dep	all	RegisterFile_34.ngc
-target_dep	RegisterFile_34.ngc	RegisterFile_34.prj
-target_dep	RegisterFile_34.prj	RegisterFile_34_Pack.vhdl RegisterFile_34.vhdl
+# RegisterFile_Monolithic_0
+target_dep	all	RegisterFile_Monolithic_0.ngc
+target_dep	RegisterFile_Monolithic_0.ngc	RegisterFile_Monolithic_0.prj
+target_dep	RegisterFile_Monolithic_0.prj	RegisterFile_Monolithic_0_Pack.vhdl RegisterFile_Monolithic_0.vhdl
 
-# RegisterFile_35
-target_dep	all	RegisterFile_35.ngc
-target_dep	RegisterFile_35.ngc	RegisterFile_35.prj
-target_dep	RegisterFile_35.prj	RegisterFile_35_Pack.vhdl RegisterFile_35.vhdl
+# RegisterFile_Monolithic_10
+target_dep	all	RegisterFile_Monolithic_10.ngc
+target_dep	RegisterFile_Monolithic_10.ngc	RegisterFile_Monolithic_10.prj
+target_dep	RegisterFile_Monolithic_10.prj	RegisterFile_Monolithic_10_Pack.vhdl RegisterFile_Monolithic_10.vhdl
 
+# RegisterFile_Monolithic_11
+target_dep	all	RegisterFile_Monolithic_11.ngc
+target_dep	RegisterFile_Monolithic_11.ngc	RegisterFile_Monolithic_11.prj
+target_dep	RegisterFile_Monolithic_11.prj	RegisterFile_Monolithic_11_Pack.vhdl RegisterFile_Monolithic_11.vhdl
+
+# RegisterFile_Monolithic_12
+target_dep	all	RegisterFile_Monolithic_12.ngc
+target_dep	RegisterFile_Monolithic_12.ngc	RegisterFile_Monolithic_12.prj
+target_dep	RegisterFile_Monolithic_12.prj	RegisterFile_Monolithic_12_Pack.vhdl RegisterFile_Monolithic_12.vhdl
+
+# RegisterFile_Monolithic_13
+target_dep	all	RegisterFile_Monolithic_13.ngc
+target_dep	RegisterFile_Monolithic_13.ngc	RegisterFile_Monolithic_13.prj
+target_dep	RegisterFile_Monolithic_13.prj	RegisterFile_Monolithic_13_Pack.vhdl RegisterFile_Monolithic_13.vhdl
+
+# RegisterFile_Monolithic_14
+target_dep	all	RegisterFile_Monolithic_14.ngc
+target_dep	RegisterFile_Monolithic_14.ngc	RegisterFile_Monolithic_14.prj
+target_dep	RegisterFile_Monolithic_14.prj	RegisterFile_Monolithic_14_Pack.vhdl RegisterFile_Monolithic_14.vhdl
+
+# RegisterFile_Monolithic_15
+target_dep	all	RegisterFile_Monolithic_15.ngc
+target_dep	RegisterFile_Monolithic_15.ngc	RegisterFile_Monolithic_15.prj
+target_dep	RegisterFile_Monolithic_15.prj	RegisterFile_Monolithic_15_Pack.vhdl RegisterFile_Monolithic_15.vhdl
+
+# RegisterFile_Monolithic_16
+target_dep	all	RegisterFile_Monolithic_16.ngc
+target_dep	RegisterFile_Monolithic_16.ngc	RegisterFile_Monolithic_16.prj
+target_dep	RegisterFile_Monolithic_16.prj	RegisterFile_Monolithic_16_Pack.vhdl RegisterFile_Monolithic_16.vhdl
+
+# RegisterFile_Monolithic_17
+target_dep	all	RegisterFile_Monolithic_17.ngc
+target_dep	RegisterFile_Monolithic_17.ngc	RegisterFile_Monolithic_17.prj
+target_dep	RegisterFile_Monolithic_17.prj	RegisterFile_Monolithic_17_Pack.vhdl RegisterFile_Monolithic_17.vhdl
+
+# RegisterFile_Monolithic_18
+target_dep	all	RegisterFile_Monolithic_18.ngc
+target_dep	RegisterFile_Monolithic_18.ngc	RegisterFile_Monolithic_18.prj
+target_dep	RegisterFile_Monolithic_18.prj	RegisterFile_Monolithic_18_Pack.vhdl RegisterFile_Monolithic_18.vhdl
+
+# RegisterFile_Monolithic_19
+target_dep	all	RegisterFile_Monolithic_19.ngc
+target_dep	RegisterFile_Monolithic_19.ngc	RegisterFile_Monolithic_19.prj
+target_dep	RegisterFile_Monolithic_19.prj	RegisterFile_Monolithic_19_Pack.vhdl RegisterFile_Monolithic_19.vhdl
+
+# RegisterFile_Monolithic_1
+target_dep	all	RegisterFile_Monolithic_1.ngc
+target_dep	RegisterFile_Monolithic_1.ngc	RegisterFile_Monolithic_1.prj
+target_dep	RegisterFile_Monolithic_1.prj	RegisterFile_Monolithic_10_Pack.vhdl RegisterFile_Monolithic_10.vhdl RegisterFile_Monolithic_11_Pack.vhdl RegisterFile_Monolithic_11.vhdl RegisterFile_Monolithic_12_Pack.vhdl RegisterFile_Monolithic_12.vhdl RegisterFile_Monolithic_13_Pack.vhdl RegisterFile_Monolithic_13.vhdl RegisterFile_Monolithic_14_Pack.vhdl RegisterFile_Monolithic_14.vhdl RegisterFile_Monolithic_15_Pack.vhdl RegisterFile_Monolithic_15.vhdl RegisterFile_Monolithic_16_Pack.vhdl RegisterFile_Monolithic_16.vhdl RegisterFile_Monolithic_17_Pack.vhdl RegisterFile_Monolithic_17.vhdl RegisterFile_Monolithic_18_Pack.vhdl RegisterFile_Monolithic_18.vhdl RegisterFile_Monolithic_19_Pack.vhdl RegisterFile_Monolithic_19.vhdl RegisterFile_Monolithic_1_Pack.vhdl RegisterFile_Monolithic_1.vhdl
+
+# RegisterFile_Monolithic_20
+target_dep	all	RegisterFile_Monolithic_20.ngc
+target_dep	RegisterFile_Monolithic_20.ngc	RegisterFile_Monolithic_20.prj
+target_dep	RegisterFile_Monolithic_20.prj	RegisterFile_Monolithic_20_Pack.vhdl RegisterFile_Monolithic_20.vhdl
+
+# RegisterFile_Monolithic_21
+target_dep	all	RegisterFile_Monolithic_21.ngc
+target_dep	RegisterFile_Monolithic_21.ngc	RegisterFile_Monolithic_21.prj
+target_dep	RegisterFile_Monolithic_21.prj	RegisterFile_Monolithic_21_Pack.vhdl RegisterFile_Monolithic_21.vhdl
+
+# RegisterFile_Monolithic_22
+target_dep	all	RegisterFile_Monolithic_22.ngc
+target_dep	RegisterFile_Monolithic_22.ngc	RegisterFile_Monolithic_22.prj
+target_dep	RegisterFile_Monolithic_22.prj	RegisterFile_Monolithic_22_Pack.vhdl RegisterFile_Monolithic_22.vhdl
+
+# RegisterFile_Monolithic_23
+target_dep	all	RegisterFile_Monolithic_23.ngc
+target_dep	RegisterFile_Monolithic_23.ngc	RegisterFile_Monolithic_23.prj
+target_dep	RegisterFile_Monolithic_23.prj	RegisterFile_Monolithic_23_Pack.vhdl RegisterFile_Monolithic_23.vhdl
+
+# RegisterFile_Monolithic_24
+target_dep	all	RegisterFile_Monolithic_24.ngc
+target_dep	RegisterFile_Monolithic_24.ngc	RegisterFile_Monolithic_24.prj
+target_dep	RegisterFile_Monolithic_24.prj	RegisterFile_Monolithic_24_Pack.vhdl RegisterFile_Monolithic_24.vhdl
+
+# RegisterFile_Monolithic_25
+target_dep	all	RegisterFile_Monolithic_25.ngc
+target_dep	RegisterFile_Monolithic_25.ngc	RegisterFile_Monolithic_25.prj
+target_dep	RegisterFile_Monolithic_25.prj	RegisterFile_Monolithic_25_Pack.vhdl RegisterFile_Monolithic_25.vhdl
+
+# RegisterFile_Monolithic_26
+target_dep	all	RegisterFile_Monolithic_26.ngc
+target_dep	RegisterFile_Monolithic_26.ngc	RegisterFile_Monolithic_26.prj
+target_dep	RegisterFile_Monolithic_26.prj	RegisterFile_Monolithic_26_Pack.vhdl RegisterFile_Monolithic_26.vhdl
+
+# RegisterFile_Monolithic_27
+target_dep	all	RegisterFile_Monolithic_27.ngc
+target_dep	RegisterFile_Monolithic_27.ngc	RegisterFile_Monolithic_27.prj
+target_dep	RegisterFile_Monolithic_27.prj	RegisterFile_Monolithic_27_Pack.vhdl RegisterFile_Monolithic_27.vhdl
+
+# RegisterFile_Monolithic_28
+target_dep	all	RegisterFile_Monolithic_28.ngc
+target_dep	RegisterFile_Monolithic_28.ngc	RegisterFile_Monolithic_28.prj
+target_dep	RegisterFile_Monolithic_28.prj	RegisterFile_Monolithic_28_Pack.vhdl RegisterFile_Monolithic_28.vhdl
+
+# RegisterFile_Monolithic_29
+target_dep	all	RegisterFile_Monolithic_29.ngc
+target_dep	RegisterFile_Monolithic_29.ngc	RegisterFile_Monolithic_29.prj
+target_dep	RegisterFile_Monolithic_29.prj	RegisterFile_Monolithic_29_Pack.vhdl RegisterFile_Monolithic_29.vhdl
+
+# RegisterFile_Monolithic_2
+target_dep	all	RegisterFile_Monolithic_2.ngc
+target_dep	RegisterFile_Monolithic_2.ngc	RegisterFile_Monolithic_2.prj
+target_dep	RegisterFile_Monolithic_2.prj	RegisterFile_Monolithic_20_Pack.vhdl RegisterFile_Monolithic_20.vhdl RegisterFile_Monolithic_21_Pack.vhdl RegisterFile_Monolithic_21.vhdl RegisterFile_Monolithic_22_Pack.vhdl RegisterFile_Monolithic_22.vhdl RegisterFile_Monolithic_23_Pack.vhdl RegisterFile_Monolithic_23.vhdl RegisterFile_Monolithic_24_Pack.vhdl RegisterFile_Monolithic_24.vhdl RegisterFile_Monolithic_25_Pack.vhdl RegisterFile_Monolithic_25.vhdl RegisterFile_Monolithic_26_Pack.vhdl RegisterFile_Monolithic_26.vhdl RegisterFile_Monolithic_27_Pack.vhdl RegisterFile_Monolithic_27.vhdl RegisterFile_Monolithic_28_Pack.vhdl RegisterFile_Monolithic_28.vhdl RegisterFile_Monolithic_29_Pack.vhdl RegisterFile_Monolithic_29.vhdl RegisterFile_Monolithic_2_Pack.vhdl RegisterFile_Monolithic_2.vhdl
+
+# RegisterFile_Monolithic_30
+target_dep	all	RegisterFile_Monolithic_30.ngc
+target_dep	RegisterFile_Monolithic_30.ngc	RegisterFile_Monolithic_30.prj
+target_dep	RegisterFile_Monolithic_30.prj	RegisterFile_Monolithic_30_Pack.vhdl RegisterFile_Monolithic_30.vhdl
+
+# RegisterFile_Monolithic_31
+target_dep	all	RegisterFile_Monolithic_31.ngc
+target_dep	RegisterFile_Monolithic_31.ngc	RegisterFile_Monolithic_31.prj
+target_dep	RegisterFile_Monolithic_31.prj	RegisterFile_Monolithic_31_Pack.vhdl RegisterFile_Monolithic_31.vhdl
+
+# RegisterFile_Monolithic_32
+target_dep	all	RegisterFile_Monolithic_32.ngc
+target_dep	RegisterFile_Monolithic_32.ngc	RegisterFile_Monolithic_32.prj
+target_dep	RegisterFile_Monolithic_32.prj	RegisterFile_Monolithic_32_Pack.vhdl RegisterFile_Monolithic_32.vhdl
+
+# RegisterFile_Monolithic_33
+target_dep	all	RegisterFile_Monolithic_33.ngc
+target_dep	RegisterFile_Monolithic_33.ngc	RegisterFile_Monolithic_33.prj
+target_dep	RegisterFile_Monolithic_33.prj	RegisterFile_Monolithic_33_Pack.vhdl RegisterFile_Monolithic_33.vhdl
+
+# RegisterFile_Monolithic_34
+target_dep	all	RegisterFile_Monolithic_34.ngc
+target_dep	RegisterFile_Monolithic_34.ngc	RegisterFile_Monolithic_34.prj
+target_dep	RegisterFile_Monolithic_34.prj	RegisterFile_Monolithic_34_Pack.vhdl RegisterFile_Monolithic_34.vhdl
+
+# RegisterFile_Monolithic_35
+target_dep	all	RegisterFile_Monolithic_35.ngc
+target_dep	RegisterFile_Monolithic_35.ngc	RegisterFile_Monolithic_35.prj
+target_dep	RegisterFile_Monolithic_35.prj	RegisterFile_Monolithic_35_Pack.vhdl RegisterFile_Monolithic_35.vhdl
+
+# RegisterFile_Monolithic_3
+target_dep	all	RegisterFile_Monolithic_3.ngc
+target_dep	RegisterFile_Monolithic_3.ngc	RegisterFile_Monolithic_3.prj
+target_dep	RegisterFile_Monolithic_3.prj	RegisterFile_Monolithic_30_Pack.vhdl RegisterFile_Monolithic_30.vhdl RegisterFile_Monolithic_31_Pack.vhdl RegisterFile_Monolithic_31.vhdl RegisterFile_Monolithic_32_Pack.vhdl RegisterFile_Monolithic_32.vhdl RegisterFile_Monolithic_33_Pack.vhdl RegisterFile_Monolithic_33.vhdl RegisterFile_Monolithic_34_Pack.vhdl RegisterFile_Monolithic_34.vhdl RegisterFile_Monolithic_35_Pack.vhdl RegisterFile_Monolithic_35.vhdl RegisterFile_Monolithic_3_Pack.vhdl RegisterFile_Monolithic_3.vhdl
+
+# RegisterFile_Monolithic_4
+target_dep	all	RegisterFile_Monolithic_4.ngc
+target_dep	RegisterFile_Monolithic_4.ngc	RegisterFile_Monolithic_4.prj
+target_dep	RegisterFile_Monolithic_4.prj	RegisterFile_Monolithic_4_Pack.vhdl RegisterFile_Monolithic_4.vhdl
+
+# RegisterFile_Monolithic_5
+target_dep	all	RegisterFile_Monolithic_5.ngc
+target_dep	RegisterFile_Monolithic_5.ngc	RegisterFile_Monolithic_5.prj
+target_dep	RegisterFile_Monolithic_5.prj	RegisterFile_Monolithic_5_Pack.vhdl RegisterFile_Monolithic_5.vhdl
+
+# RegisterFile_Monolithic_6
+target_dep	all	RegisterFile_Monolithic_6.ngc
+target_dep	RegisterFile_Monolithic_6.ngc	RegisterFile_Monolithic_6.prj
+target_dep	RegisterFile_Monolithic_6.prj	RegisterFile_Monolithic_6_Pack.vhdl RegisterFile_Monolithic_6.vhdl
+
+# RegisterFile_Monolithic_7
+target_dep	all	RegisterFile_Monolithic_7.ngc
+target_dep	RegisterFile_Monolithic_7.ngc	RegisterFile_Monolithic_7.prj
+target_dep	RegisterFile_Monolithic_7.prj	RegisterFile_Monolithic_7_Pack.vhdl RegisterFile_Monolithic_7.vhdl
+
+# RegisterFile_Monolithic_8
+target_dep	all	RegisterFile_Monolithic_8.ngc
+target_dep	RegisterFile_Monolithic_8.ngc	RegisterFile_Monolithic_8.prj
+target_dep	RegisterFile_Monolithic_8.prj	RegisterFile_Monolithic_8_Pack.vhdl RegisterFile_Monolithic_8.vhdl
+
+# RegisterFile_Monolithic_9
+target_dep	all	RegisterFile_Monolithic_9.ngc
+target_dep	RegisterFile_Monolithic_9.ngc	RegisterFile_Monolithic_9.prj
+target_dep	RegisterFile_Monolithic_9.prj	RegisterFile_Monolithic_9_Pack.vhdl RegisterFile_Monolithic_9.vhdl
+
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/doc/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/doc/Makefile	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/doc/Makefile	(revision 30)
@@ -0,0 +1,19 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ../
+include				$(DIR_COMPONENT)/Makefile.defs
+
+#-----[ include ]------------------------------------------
+
+all				:
+				$(MAKE) all_documentation
+
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Documentation
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile	(revision 30)
@@ -8,5 +8,6 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../../..
+DIR_COMPONENT			= .
+include				$(DIR_COMPONENT)/Makefile.defs
 
 #-----[ Library ]------------------------------------------
@@ -19,5 +20,5 @@
 				@$(MAKE) all_component
 
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs	(revision 30)
@@ -0,0 +1,11 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/Makefile	(revision 30)
@@ -8,5 +8,6 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../../../..
+DIR_COMPONENT			= .
+include				$(DIR_COMPONENT)/Makefile.defs
 
 #-----[ Library ]------------------------------------------
@@ -19,5 +20,5 @@
 				@$(MAKE) all_component
 
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/Makefile.defs
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/Makefile.defs	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/Makefile.defs	(revision 30)
@@ -0,0 +1,11 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/SelfTest/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/SelfTest/Makefile	(revision 30)
@@ -8,5 +8,6 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../../../../..
+DIR_COMPONENT			= ..
+include				$(DIR_COMPONENT)/Makefile.defs
 
 LIBRARY				= $(RegisterFile_Multi_Banked_Glue_LIBRARY)
@@ -23,6 +24,6 @@
 library_clean			: RegisterFile_Multi_Banked_Glue_library_clean
 
-include                         ../Makefile.deps
-include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
+include                         $(DIR_COMPONENT)/Makefile.deps
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Selftest
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/SelfTest/configuration.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/SelfTest/configuration.cfg	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/RegisterFile_Multi_Banked_Glue/SelfTest/configuration.cfg	(revision 30)
@@ -1,9 +1,9 @@
 RegisterFile_Multi_Banked_Glue
-4	4 	*2	# nb_port_read
+11	11	*2	# nb_port_read
 4	4	*2	# nb_port_write
 8  	8    	+1	# size_address
 32	32	*2	# size_word
-2	2	*2	# nb_bank
-2	2 	*2	# nb_port_read_by_bank
+4	4	*2	# nb_bank
+3	3 	*2	# nb_port_read_by_bank
 2	2	*2	# nb_port_write_by_bank
-0	1	+1	# crossbar
+0	0	+1	# crossbar
